package com.jeeplus.modules.sg.balancedlibrary.planSummary.web;
import com.jeeplus.common.json.AjaxJson;
import com.jeeplus.common.utils.DateUtils;
import com.jeeplus.common.utils.excel.ExportExcel;
import com.jeeplus.common.utils.excel.ImportExcel;
import com.jeeplus.modules.sg.balancedlibrary.planSummary.entity.AgriculturalDistributionNetwork;
import com.jeeplus.modules.sg.balancedlibrary.planSummary.entity.ProcessTracking;
import com.jeeplus.modules.sg.balancedlibrary.planSummary.service.PlanSummaryService;
import com.jeeplus.modules.sg.balancedlibrary.planSummary.vo.PlanSummary;
import com.jeeplus.modules.sg.balancedlibrary.reportPerson.entity.ReportPerson;
import com.jeeplus.modules.sg.balancedlibrary.reportPerson.service.ReportPersonService;
import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.*;

@Controller
@RequestMapping(value = "${adminPath}/plansummary")
public class PlanSummaryController {
    @Autowired
    PlanSummaryService summaryService;
    @PostMapping(value = "import")
    public AjaxJson importFile(@RequestParam("file") MultipartFile[] file, HttpServletRequest request, HttpServletResponse response){
        AjaxJson ajaxJson = summaryService.importFile(file, request, response);
        return ajaxJson;
    }
    @RequestMapping(value = "list")
    public String list() {
        return "modules/sg/balancedlibrary/planSummary/planSummaryList";
    }
}
















//            PNWMap.forEach((k,v)->{
//
//              planSummaryList.forEach(l->{
//                    if(!k.equals(l.getProjectDepartment())){
//                        planSummaryList.add(new PlanSummary(null,k,null,null,GZMap.containsKey(k)?GZMap.get(k).toString():null,v.toString(),
//                                //需求数量是否为0  如果不为0 计算执行进度 如果为0则显示未上报
//                                GZMap.containsKey(k) ?
//                                        (GZMap.get(k).compareTo(new BigDecimal(0))==0?
//                                                (v.divide(GZMap.get(k))).multiply(new BigDecimal(100)).toString() + "%"
//                                                :"未上报需求")
//                                        :"未上报需求"
//                        ));
//                    }
//                });
//
//            });

