<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>执行计划汇总</title>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <meta name="decorator" content="ani"/>
    <%@ include file="/webpage/include/bootstraptable.jsp" %>
    <script type="text/javascript">
        function fileUpload() {

            var AgriculturalDistributionNetworkFile = $('#AgriculturalDistributionNetwork').get(0).files[0];
            var ProcessTrackingFile = $('#ProcessTracking').get(0).files[0];
            var AgriculturalDistributionNetworkFileName = AgriculturalDistributionNetworkFile.name.split(".");
            var ProcessTrackingFileName = ProcessTrackingFile.name.split(".");
            if(ProcessTrackingFile==null||ProcessTrackingFileName[0]!="附件5可视化全流程跟踪报表"){
                var file  = $('#materialInformation');
                file.after(file.clone()).val("");
                file.remove();
                alert("流程跟踪报表为空或文件不正确")
                return
            }
            if(AgriculturalDistributionNetworkFile==null||AgriculturalDistributionNetworkFileName[0]!="附件6：2021年第三批配农网、省招协议库存物资需求预测计划上报表"){
                var file  = $('#AgriculturalDistributionNetwork');
                file.after(file.clone()).val("");
                file.remove();
                alert("物资需求计划表为空或文件不正确")
                return
            }
            var formData = new FormData();
            formData.append("file", ProcessTrackingFile);
            formData.append("file", AgriculturalDistributionNetworkFile);

            // 构造XMLHttpRequest对象
            var xmlRequest = new XMLHttpRequest();
            // 发送请求
            xmlRequest.open("POST", "${ctx}/plansummary/import", true);
            // 设置响应类型
            xmlRequest.responseType = "blob";
            // 发送请求
            xmlRequest.send(formData);

            // 请求获得响应之后,触发下面的回调函数
            xmlRequest.onload = function (oEvent) {
                // 当时满足下面的状态码的时候,视为下载成功
                if ((xmlRequest.status >= 200 && xmlRequest.status < 300) || xmlRequest.status === 304) {

                    // 从xmlRequest对象中获取响应的内容
                    var content = xmlRequest.response;


                    var dispositionStr = xmlRequest.getResponseHeader('Content-Disposition');
                    if (dispositionStr == null || dispositionStr === "") {
                        alert("下载失败!");
                        return;
                    }
                    // 获取文件名
                    var dispositionArr = dispositionStr.split(";");
                    var fileName = decodeURIComponent(dispositionArr[1]);
                    var name = fileName.split("=");
                    fileName = name[1];
                    console.log(fileName);
                    var blob = new Blob([content]);
                    var elink = document.createElement('a');
                    elink.download = fileName;
                    elink.style.display = 'none';
                    var src = URL.createObjectURL(blob);
                    elink.href = src;
                    document.body.appendChild(elink);
                    elink.click();
                    document.body.removeChild(elink);
                    URL.revokeObjectURL(src);

                }
            }


        }
    </script>
    <style>
        .div-btn {
            margin: 0 10px 20px 10px;
        }
        .file-upload{
            margin: 10px 0 0 0 ;
        }
    </style>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">执行计划汇总</h3>
        </div>
        <div class="panel-body">
        </div>
        <input type="file" name="AgriculturalDistributionNetwork" id="AgriculturalDistributionNetwork" style="display: none;">
        <input type="file" name="ProcessTracking" id="ProcessTracking" style="display: none;">
        <div class="div-btn">
            <button class="btn btn-info" onclick="ProcessTracking.click()">
                <i class="fa fa-folder-open-o"></i> 导入可视化全流程跟踪报表
            </button>

            <button class="btn btn-info" onclick="AgriculturalDistributionNetwork.click()">
                <i class="fa fa-folder-open-o"></i> 导入2021年第三批配农网、省招协议库存物资需求预测计划上报表
            </button>

            <div class="file-upload">
                <button class="btn btn-primary btn-block btn-lg btn-parsley" onclick="fileUpload()">提交</button>
            </div>

        </div>



    </div>
</div>
</body>
</html>
